Subject: Re: Trunk bootstrap broken

From: Angelo Graziosi <[email-masked]>
Date: Thu, 18 Jul 2013 23:09:36 +0200

Il 18/07/2013 22.24, Juanma Barranquero ha scritto:
> On Thu, Jul 18, 2013 at 10:07 PM, Angelo Graziosi
> <[email-masked]> wrote:
>
>> I guess these changes are the culprit:
>>
>> =========================
>> 2013-07-18  Juanma Barranquero
>>
>>          * keyboard.c (kbd_buffer_get_event):
>>          * w32term.c (x_focus_changed): Port FOCUS_(IN|OUT)_EVENT changes to
>> W32.
>>          Followup to revno:113431.
>> =========================
>
> Does it work with the following patch?
>
>
> === modified file 'src/keyboard.c'
> --- src/keyboard.c 2013-07-18 16:50:05 +0000
> +++ src/keyboard.c 2013-07-18 20:22:48 +0000
> @@ -4066,7 +4066,7 @@
>           }
>         else if (event->kind == FOCUS_OUT_EVENT)
>           {
> -#if defined (HAVE_NS) || defined (HAVE_X11) || defined (WINDOWSNT)
> +#if defined (HAVE_NS) || defined (HAVE_X11) || defined (HAVE_NTGUI)
>
>   #ifdef HAVE_NS
>             struct ns_display_info *di;
> @@ -4080,7 +4080,7 @@
>               focused = FRAME_X_DISPLAY_INFO (di)->x_highlight_frame = 0;
>
>             if (! focused) obj = make_lispy_focus_out (frame);
> -#endif /* HAVE_NS || HAVE_X11 || WINDOWSNT */
> +#endif /* HAVE_NS || HAVE_X11 || HAVE_NTGUI */
>
>             kbd_fetch_ptr = event + 1;
>           }
>

No, it fails...

Sincerely, I expected the failure. Why changing WINDOWSNT with 
HAVE_NTGUI should work? Cygwin, ideally, should work as on GNU/Linux. 
Here I do GTK builds.

BTW, rev. 113449 bootstraps fine on Cygwin too.

Ciao,
  Angelo.